## plasma-desktop 5.22.5

=== debian/changelog ===
plasma-desktop (4:5.22.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 00:49:13 +0200

plasma-desktop (4:5.22.4-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 27 Jul 2021 13:43:43 +0100

plasma-desktop (4:5.22.3-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Jul 2021 14:07:10 +0100

plasma-desktop (4:5.22.2.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 21:55:17 +0100

plasma-desktop (4:5.22.2-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 18:58:46 +0100

plasma-desktop (4:5.22.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Jun 2021 14:10:58 +0100

plasma-desktop (4:5.22.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.0)
  * Update install files.
  * Build depend on kuserfeedback-dev and install new kcfg file.
  * Recommend plasma-systemmonitor instead of ksysguard.

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 11:54:14 +0100

plasma-desktop (4:5.21.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.21.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 May 2021 17:03:14 +0100

=== debian/control ===
Source: plasma-desktop
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: baloo-kf5-dev (>= 5.82.0~),
               cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.82.0~),
               gettext,
               intltool,
               kded5-dev (>= 5.82.0~),
               kinit-dev (>= 5.82.0~),
               kirigami2-dev (>= 5.82.0~),
               kscreenlocker-dev (>= 5.22.5~),
               kuserfeedback-dev,
               kwin-dev (>= 4:5.22.5~),
               libaccounts-qt5-dev (>= 1.13~),
               libboost-dev,
               libfontconfig-dev,
               libfreetype-dev,
               libglib2.0-dev,
               libibus-1.0-dev,
               libkaccounts-dev (>= 4:20.04~),
               libkf5activities-dev (>= 5.82.0~),
               libkf5activitiesstats-dev (>= 5.82.0~),
               libkf5attica-dev (>= 5.82.0~),
               libkf5auth-dev (>= 5.82.0~),
               libkf5config-dev (>= 5.82.0~),
               libkf5coreaddons-dev (>= 5.82.0~),
               libkf5dbusaddons-dev (>= 5.82.0~),
               libkf5declarative-dev (>= 5.82.0~),
               libkf5doctools-dev (>= 5.82.0~),
               libkf5emoticons-dev (>= 5.82.0~),
               libkf5globalaccel-dev (>= 5.82.0~),
               libkf5guiaddons-dev (>= 5.82.0~),
               libkf5i18n-dev (>= 5.82.0~),
               libkf5itemmodels-dev (>= 5.82.0~),
               libkf5kcmutils-dev (>= 5.82.0~),
               libkf5kdelibs4support-dev (>= 5.82.0~),
               libkf5kio-dev (>= 5.82.0~),
               libkf5newstuff-dev (>= 5.82.0~),
               libkf5notifications-dev (>= 5.82.0~),
               libkf5notifyconfig-dev (>= 5.82.0~),
               libkf5plasma-dev (>= 5.82.0~),
               libkf5runner-dev (>= 5.82.0~),
               libkf5wallet-dev (>= 5.82.0~),
               libkf5widgetsaddons-dev (>= 5.82.0~),
               libkf5windowsystem-dev (>= 5.82.0~),
               libkf5xmlgui-dev (>= 5.82.0~),
               libpackagekitqt5-dev,
               libphonon4qt5-dev (>= 4.6.60),
               libphonon4qt5experimental-dev,
               libqt5svg5-dev (>= 5.15.0~),
               libqt5x11extras5-dev (>= 5.15.0~),
               libscim-dev,
               libudev-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-record0-dev,
               libxcb-shm0-dev,
               libxcb-util-dev,
               libxcb-xinput-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxft-dev,
               libxi-dev,
               libxkbfile-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.22.5~),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               xserver-xorg-dev,
               xserver-xorg-input-evdev-dev,
               xserver-xorg-input-libinput-dev,
               xserver-xorg-input-synaptics-dev,
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/plasma/plasma-desktop
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-desktop
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-desktop
Rules-Requires-Root: no

Package: plasma-desktop
Architecture: any
Depends: accountsservice,
         breeze (>= 4:5.22~),
         kactivitymanagerd (>= 5.22~),
         kde-cli-tools (>= 4:5.22~),
         kded5,
         kio,
         oxygen-sounds (>= 4:5.22~),
         plasma-desktop-data (= ${source:Version}),
         plasma-framework,
         plasma-integration (>= 5.22~),
         plasma-workspace (>= 4:5.22~),
         polkit-kde-agent-1 (>= 4:5.22~),
         qml-module-org-kde-draganddrop,
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kirigami2 (>= 5.54.0~),
         qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-kwindowsystem,
         qml-module-org-kde-qqc2desktopstyle (>= 5.58.0~),
         qml-module-org-kde-solid,
         qml-module-qt-labs-folderlistmodel,
         qml-module-qt-labs-settings,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: bluedevil (>= 4:5.22~),
            breeze-gtk-theme (>= 5.22~),
            fonts-hack,
            fonts-noto-cjk,
            fonts-noto-hinted,
            fonts-noto-mono,
            fonts-noto-unhinted,
            ibus-data,
            kde-config-gtk-style (>= 4:5.22~),
            kde-config-screenlocker (>= 5.22~),
            kde-config-sddm (>= 4:5.22~),
            kde-style-oxygen-qt5 (>= 4:5.22~),
            kgamma5 (>= 5.22~),
            khelpcenter,
            khotkeys (>= 4:5.22~),
            kinfocenter (>= 4:5.22~),
            kio-extras,
            kmenuedit (>= 4:5.22~),
            kscreen (>= 4:5.22~),
            ksshaskpass (>= 4:5.22~),
            kwin-x11 (>= 4:5.22~) | kwin,
            kwrited (>= 4:5.22~),
            libpam-kwallet5 (>= 5.22~),
            plasma-browser-integration,
            plasma-discover (>= 5.22~),
            plasma-disks (>= 5.22~),
            plasma-pa (>= 4:5.22~),
            plasma-systemmonitor (>= 5.21.90~),
            plasma-thunderbolt,
            powerdevil (>= 4:5.22~),
            systemsettings (>= 4:5.22~),
Breaks: baloo-kf5 (<< 5.5),
        kactivities,
        kde-config-touchpad (<< 4:5),
        kde-workspace-bin,
        kde-workspace-data,
        plasma-desktop-data (<< 4:5.20.4-2~),
        plasma-widget-kimpanel,
        plasma-widgets-addons (<< 4:5.17.5~),
        user-manager (<< 4:5.20),
Replaces: baloo-kf5 (<< 5.5),
          kactivities,
          kde-config-touchpad (<< 4:5),
          kde-workspace-bin,
          kde-workspace-data,
          plasma-desktop-data (<< 4:5.20.4-2~),
          plasma-widget-kimpanel,
          plasma-widgets-addons (<< 4:5.17.5~),
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: plasma-desktop-data
Architecture: all
Depends: python3:any, ${misc:Depends}
Recommends: plasma-framework (>> 5.22),
            plasma-workspace (>= 4:5.22~),
            qml-module-org-kde-activities,
            qml-module-org-kde-kwindowsystem,
            qml-module-org-kde-newstuff,
            qml-module-qtquick-dialogs,
Breaks: baloo-kf5 (<< 5.5),
        kactivities,
        kde-config-gtk-style (<< 4:5.19.0~),
        kde-config-touchpad (<< 4:5),
        kde-workspace-bin,
        kde-workspace-data,
        plasma-desktop (<< 4:5.20.0~),
        plasma-widget-kimpanel,
        plasma-widgets-addons (<< 4:5.17.5~),
        ${kde-l10n:all},
Replaces: baloo-kf5 (<< 5.5),
          kactivities,
          kde-config-gtk-style (<< 4:5.19.0~),
          kde-config-touchpad (<< 4:5),
          kde-workspace-bin,
          kde-workspace-data,
          plasma-desktop (<< 4:5.20.0~),
          plasma-widget-kimpanel,
          plasma-widgets-addons (<< 4:5.17.5~),
          ${kde-l10n:all},
Description: Tools and widgets for the desktop data files
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the data files

Package: plasma-desktop-dev
Section: devel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${so:Depends},
Breaks: kde-config-touchpad (<< 4:5)
Replaces: kde-config-touchpad (<< 4:5)
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

## plasma-desktop 5.24.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(plasma-desktop)

set(PROJECT_VERSION "5.24.4")
set(PROJECT_VERSION_MAJOR 5)

set(QT_MIN_VERSION "5.15.0")
set(KF5_MIN_VERSION "5.89")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")
set(ACCOUNTSQT_DEP_VERSION "1.13")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(ECMMarkNonGuiExecutable)
include(ECMOptionalAddSubdirectory)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(FeatureSummary)
include(CheckIncludeFiles)
include(KDEClangFormat)
include(KDEGitCommitHooks)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Quick
    QuickWidgets
    DBus
    Widgets
    X11Extras
    Svg
    Concurrent
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Auth
    Crash
    Plasma
    PlasmaQuick
    DocTools
    I18n
    KCMUtils
    NewStuff
    NewStuffQuick
    KIO
    Notifications
    NotifyConfig
    Attica
    Runner
    GlobalAccel
    CoreAddons # KSharedDataCache required by KImageCache, KStringHandler required by FolderModel
    GuiAddons # KImageCache
    Declarative
    DBusAddons
    Activities
    ActivitiesStats
    Config
    WidgetsAddons
    Codecs
    Sonnet
    KDELibs4Support # kcms/dateandtime
)

find_package(AccountsQt5 ${ACCOUNTSQT_DEP_VERSION} CONFIG)

find_package(KUserFeedback)

set_package_properties(AccountsQt5 PROPERTIES
    DESCRIPTION "Accounts management library for Qt applications"
    URL "https://gitlab.com/accounts-sso/libaccounts-qt"
    PURPOSE "Required for building the OpenDesktop integration plugin"
    TYPE OPTIONAL
)

find_package(KAccounts 20.04)
set_package_properties(KAccounts PROPERTIES
    DESCRIPTION "Accounts management library for KDE applications"
    PURPOSE "Required for building the OpenDesktop integration plugin"
    TYPE OPTIONAL
)

find_package(PkgConfig REQUIRED)
pkg_check_modules(SignOnOAuth2 IMPORTED_TARGET signon-oauth2plugin)
set_package_properties(signon-oauth2plugin PROPERTIES
    DESCRIPTION "Plugin for SignOnQt5 which handles OAuth and OAuth2 logins"
    URL "https://gitlab.com/accounts-sso/signon-plugin-oauth2"
    PURPOSE "Required for running the OpenDesktop integration plugin"
    TYPE RUNTIME
)

find_package(KF5Kirigami2 ${KF5_MIN_VERSION} CONFIG)
set_package_properties(KF5Kirigami2 PROPERTIES
    DESCRIPTION "A QtQuick based components set"
    PURPOSE "Required at runtime by many KCMs"
    TYPE RUNTIME
)

find_package(KF5QQC2DesktopStyle ${KF5_MIN_VERSION} CONFIG)
set_package_properties(KF5QQC2DesktopStyle PROPERTIES
    DESCRIPTION "QtQuickControls 2 style that uses QWidget's QStyle for painting"
    PURPOSE "Required at runtime by many KCMs"
    TYPE RUNTIME
)

find_package(LibKWorkspace ${PROJECT_VERSION} CONFIG REQUIRED)
find_package(LibNotificationManager ${PROJECT_VERSION} CONFIG REQUIRED)
find_package(LibTaskManager ${PROJECT_VERSION} CONFIG REQUIRED)
find_package(LibColorCorrect ${PROJECT_VERSION} CONFIG REQUIRED)
find_package(KWinDBusInterface CONFIG REQUIRED)
find_package(ScreenSaverDBusInterface CONFIG REQUIRED)
find_package(KRunnerAppDBusInterface CONFIG REQUIRED)
find_package(KSMServerDBusInterface CONFIG REQUIRED)
find_package(KF5ItemModels CONFIG REQUIRED)
find_package(KSysGuard CONFIG REQUIRED)
find_package(KDED CONFIG REQUIRED)

find_package(KF5Baloo ${KF5_MIN_VERSION})
set_package_properties(KF5Baloo PROPERTIES
    DESCRIPTION "File Searching"
    PURPOSE "Needed to build the File Search KCM"
    TYPE RECOMMENDED
)

find_package(X11)
set_package_properties(X11 PROPERTIES
    DESCRIPTION "X11 libraries"
    URL "https://www.x.org"
    PURPOSE "Required for building the X11 based workspace"
    TYPE REQUIRED
)

if(X11_FOUND)
  set(HAVE_X11 1)
endif()

find_package(UDev)
set_package_properties(UDev PROPERTIES
    DESCRIPTION "API for enumerating and introspecting local devices (part of systemd)"
    URL "https://www.freedesktop.org/wiki/Software/systemd/"
    PURPOSE "Required for device discovery in keyboard daemon"
    TYPE OPTIONAL
)

find_package(XCB
    REQUIRED COMPONENTS
        XCB SHM IMAGE
    OPTIONAL_COMPONENTS
        XKB XINPUT ATOM RECORD
)

find_package(X11_XCB)
set_package_properties(X11_XCB PROPERTIES
    PURPOSE "Required for needed for touchpad KCM (X11 backend)"
    TYPE OPTIONAL
)

set_package_properties(XCB PROPERTIES TYPE REQUIRED)
add_feature_info("XCB-XKB" XCB_XKB_FOUND "Required for building kcm/keyboard")
add_feature_info("libxft" X11_Xft_FOUND "X FreeType interface library required for font installation")

pkg_check_modules(XORGLIBINPUT xorg-libinput IMPORTED_TARGET)
pkg_check_modules(EVDEV xorg-evdev>=2.8.99.1 IMPORTED_TARGET)
pkg_check_modules(XORGSERVER xorg-server IMPORTED_TARGET)

find_package(Synaptics)
set_package_properties(Synaptics PROPERTIES TYPE OPTIONAL)
add_feature_info("Synaptics" SYNAPTICS_FOUND "Synaptics libraries are needed for the synaptics touchpad KCM")

if(SYNAPTICS_FOUND)
    set(HAVE_SYNAPTICS 1)
endif()

if(XORGLIBINPUT_FOUND)
  set(HAVE_XORGLIBINPUT 1)
endif()

include(ConfigureChecks.cmake)

find_package(PackageKitQt5)
set_package_properties(PackageKitQt5 PROPERTIES
    DESCRIPTION "Software Manager integration"
    PURPOSE "Used in the KRunner plugin installer"
    TYPE OPTIONAL
)

if(PackageKitQt5_FOUND)
    set(HAVE_PACKAGEKIT TRUE)
endif()

find_package(GLIB2)
set_package_properties(GLIB2 PROPERTIES
    PURPOSE "Required for building kimpanel"
    TYPE OPTIONAL
)

# For kimpanel
pkg_check_modules(IBUS "ibus-1.0>=1.5.0" IMPORTED_TARGET)
pkg_check_modules(GOBJECT gobject-2.0 IMPORTED_TARGET)
pkg_check_modules(SCIM scim IMPORTED_TARGET)

ecm_setup_version(${PROJECT_VERSION} VARIABLE_PREFIX PLASMA VERSION_HEADER plasma_version.h)

include_directories("${CMAKE_CURRENT_BINARY_DIR}")

configure_file(config-workspace.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-workspace.h)
configure_file(config-unix.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-unix.h )
configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h)
configure_file(config-runtime.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-runtime.h)

plasma_install_package(desktoppackage org.kde.plasma.desktop shells shell)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING -DQT_NO_FOREACH)

add_subdirectory(layout-templates)

add_subdirectory(doc)
add_subdirectory(runners)
add_subdirectory(containments)
add_subdirectory(toolboxes)
add_subdirectory(applets)
add_subdirectory(kcms)
add_subdirectory(knetattach)
if(KAccounts_FOUND AND AccountsQt5_FOUND)
    add_subdirectory(attica-kde)
endif()
add_subdirectory(imports/activitymanager/)
add_subdirectory(solid-device-automounter)
if(X11_Xkb_FOUND AND XCB_XKB_FOUND)
    add_subdirectory(kaccess)
endif()
install(FILES org.kde.plasmashell.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(XdgUserDir)
set_package_properties(XdgUserDir PROPERTIES
    DESCRIPTION "Xdg-user-dir script"
    PURPOSE "Used to translate default paths in KCM desktoppath"
    TYPE RUNTIME
)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

  find_package(KF5DocTools CONFIG)
  if(KF5DocTools_FOUND)
    kdoctools_install(po)
  endif()

=== applets/CMakeLists.txt ===
add_subdirectory(kicker)
add_subdirectory(kickoff)
add_subdirectory(trash)

add_subdirectory(taskmanager)
plasma_install_package(window-list org.kde.plasma.windowlist)
plasma_install_package(icontasks org.kde.plasma.icontasks)
plasma_install_package(margins-separator org.kde.plasma.marginsseparator)

if(KF5Activities_FOUND)
   add_subdirectory(pager)
   add_subdirectory(showActivityManager)
endif()

add_subdirectory(minimizeall)
add_subdirectory(showdesktop)
add_subdirectory(kimpanel)
plasma_install_package(keyboardlayout org.kde.plasma.keyboardlayout)

=== kaccess/CMakeLists.txt ===
# KI18N Translation Domain for this application
add_definitions(-DTRANSLATION_DOMAIN=\"kaccess\")

find_package(Phonon4Qt5 REQUIRED NO_MODULE)

set(kaccess_SRCS kaccess.cpp main.cpp )

add_executable(kaccess ${kaccess_SRCS})

target_link_libraries(kaccess
    Qt::Widgets
    Qt::X11Extras
    KF5::CoreAddons
    KF5::ConfigCore
    KF5::Completion
    KF5::GlobalAccel
    KF5::I18n
    KF5::Notifications
    KF5::WidgetsAddons
    KF5::WindowSystem
    KF5::DBusAddons
    Phonon::phonon4qt5
    X11::X11
)

install(TARGETS kaccess ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install( FILES kaccess.desktop  DESTINATION  ${KDE_INSTALL_AUTOSTARTDIR} )
install( FILES kaccess.notifyrc  DESTINATION  ${KDE_INSTALL_KNOTIFY5RCDIR} )

=== knetattach/CMakeLists.txt ===
set(knetattach_SRCS main.cpp knetattach.cpp)


ki18n_wrap_ui(knetattach_SRCS knetattach.ui )

# kde4_add_app_icon(knetattach_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/hi*-app-knetattach.png")

add_executable(knetattach ${knetattach_SRCS})

target_compile_definitions(knetattach PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

target_link_libraries(knetattach KF5::KIOWidgets KF5::I18n KF5::Codecs)

install(TARGETS knetattach DESTINATION ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})


########### install files ###############

install( PROGRAMS org.kde.knetattach.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )

=== layout-templates/CMakeLists.txt ===
plasma_install_package(org.kde.plasma.desktop.defaultPanel org.kde.plasma.desktop.defaultPanel layout-templates layout-template)
plasma_install_package(org.kde.plasma.desktop.emptyPanel org.kde.plasma.desktop.emptyPanel layout-templates layout-template)
plasma_install_package(org.kde.plasma.desktop.appmenubar org.kde.plasma.desktop.appmenubar layout-templates layout-template)

=== applets/kicker/CMakeLists.txt ===
plasma_install_package(package org.kde.plasma.kicker)

=== applets/showdesktop/CMakeLists.txt ===
plasma_install_package(package org.kde.plasma.showdesktop)

add_definitions(-DTRANSLATION_DOMAIN="plasma_applet_org.kde.plasma.showdesktop")

set(showdesktop_SRCS
    plugin/showdesktop.cpp
    plugin/showdesktopplugin.cpp
)

add_library(showdesktopplugin SHARED ${showdesktop_SRCS})

target_link_libraries(showdesktopplugin
     Qt::Core
     Qt::DBus
     Qt::Qml
     Qt::Quick
     KF5::WindowSystem
    )

install(TARGETS showdesktopplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/showdesktop)
install(FILES plugin/qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/showdesktop)

=== applets/taskmanager/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_applet_org.kde.plasma.taskmanager\")

plasma_install_package(package org.kde.plasma.taskmanager)

set(taskmanagerplugin_SRCS
    plugin/backend.cpp
    plugin/draghelper.cpp
    plugin/taskmanagerplugin.cpp

    plugin/smartlaunchers/smartlauncherbackend.cpp
    plugin/smartlaunchers/smartlauncheritem.cpp
)

ecm_qt_declare_logging_category(taskmanagerplugin_SRCS
    HEADER log_settings.h
    IDENTIFIER TASKMANAGER_DEBUG
    CATEGORY_NAME org.kde.plasma.taskmanager)

install(FILES plugin/qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/taskmanager)

add_library(taskmanagerplugin SHARED ${taskmanagerplugin_SRCS})

# FIXME Cleanup no longer used libs.
target_link_libraries(taskmanagerplugin
                      Qt::Core
                      Qt::DBus
                      Qt::Qml
                      Qt::Quick
                      KF5::Activities
                      KF5::ActivitiesStats
                      KF5::I18n
                      KF5::KIOCore
                      KF5::KIOGui
                      KF5::KIOFileWidgets # KFilePlacesModel
                      KF5::Notifications # KNotificationJobUiDelegate
                      KF5::Plasma
                      KSysGuard::ProcessCore
                      KF5::Service
                      KF5::WindowSystem
                      PW::LibNotificationManager)

install(TARGETS taskmanagerplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/taskmanager)

=== doc/kcontrol/CMakeLists.txt ===
ecm_optional_add_subdirectory(clock)
ecm_optional_add_subdirectory(colors)
ecm_optional_add_subdirectory(joystick)
ecm_optional_add_subdirectory(kcmaccess)
ecm_optional_add_subdirectory(kcmactivities)
ecm_optional_add_subdirectory(kcmstyle)
ecm_optional_add_subdirectory(solid-actions)
ecm_optional_add_subdirectory(splashscreen)
ecm_optional_add_subdirectory(cookies)
ecm_optional_add_subdirectory(baloo)

ecm_optional_add_subdirectory(cursortheme)
ecm_optional_add_subdirectory(fonts)
ecm_optional_add_subdirectory(fontinst)
ecm_optional_add_subdirectory(keys)
ecm_optional_add_subdirectory(keyboard)
ecm_optional_add_subdirectory(mouse)
ecm_optional_add_subdirectory(paths)
ecm_optional_add_subdirectory(kcmsmserver)
ecm_optional_add_subdirectory(kcmlaunchfeedback)
ecm_optional_add_subdirectory(spellchecking)
ecm_optional_add_subdirectory(componentchooser)
ecm_optional_add_subdirectory(kded)
ecm_optional_add_subdirectory(solid-device-automounter)
ecm_optional_add_subdirectory(workspaceoptions)

=== kcms/access/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcmaccess\")

set(kcm_access_PART_SRCS kcmaccess.cpp )

kconfig_add_kcfg_files(kcm_access_PART_SRCS
    kcmaccessibilitybell.kcfgc
    kcmaccessibilitykeyboard.kcfgc
    kcmaccessibilitykeyboardfilters.kcfgc
    kcmaccessibilitymouse.kcfgc
    kcmaccessibilityscreenreader.kcfgc
    GENERATE_MOC)

kcmutils_generate_module_data(
    kcm_access_PART_SRCS
    MODULE_DATA_HEADER kcmaccessibilitydata.h
    MODULE_DATA_CLASS_NAME AccessibilityData
    SETTINGS_HEADERS kcmaccessibilitybell.h kcmaccessibilitykeyboard.h kcmaccessibilitykeyboardfilters.h kcmaccessibilitymouse.h kcmaccessibilityscreenreader.h
    SETTINGS_CLASSES BellSettings KeyboardSettings KeyboardFiltersSettings MouseSettings ScreenReaderSettings
)

kcoreaddons_add_plugin(kcm_access SOURCES ${kcm_access_PART_SRCS} INSTALL_NAMESPACE "plasma/kcms/systemsettings")

target_link_libraries(kcm_access
    Qt::DBus
    KF5::KCMUtils
    KF5::CoreAddons
    KF5::Declarative
    KF5::GuiAddons
    KF5::I18n
    KF5::NewStuff
    KF5::QuickAddons
    KF5::WindowSystem
    KF5::NotifyConfig
    Qt::X11Extras
    X11::X11
)

install(FILES kcm_access.desktop  DESTINATION ${KDE_INSTALL_APPDIR})
install(
    FILES
        kcmaccessibilitybell.kcfg
        kcmaccessibilitykeyboard.kcfg
        kcmaccessibilitymouse.kcfg
        kcmaccessibilityscreenreader.kcfg
    DESTINATION
        ${KDE_INSTALL_KCFGDIR}
)

kpackage_install_package(package kcm_access kcms)

=== kcms/activities/CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:
project (KCMActivities)
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_activities5\")

find_package (Qt5 REQUIRED NO_MODULE COMPONENTS Core Quick Sql Qml DBus)
find_package (KF5KCMUtils ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package (KF5Declarative ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package (KF5XmlGui ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package (KF5GlobalAccel ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package (KF5Activities ${KF5_DEP_VERSION} CONFIG REQUIRED)

set (KAMD_KCM_DATADIR
   ${KDE_INSTALL_DATADIR_KF5}/kactivitymanagerd/workspace/settings/
   )

if (NOT IS_ABSOLUTE "${KDE_INSTALL_DATADIR_KF5}")
   set (KAMD_KCM_DATADIR "${CMAKE_INSTALL_PREFIX}/${KAMD_KCM_DATADIR}")
endif ()

configure_file (kactivities-kcm-features.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/kactivities-kcm-features.h)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

add_subdirectory(imports)

set (KAMD_KCM_SRCS
   kcm_activities.cpp

   MainConfigurationWidget.cpp
   ActivitiesTab.cpp
   SwitchingTab.cpp
   PrivacyTab.cpp

   BlacklistedApplicationsModel.cpp
   ExtraActivitiesInterface.cpp
   )

ki18n_wrap_ui (
   KAMD_KCM_SRCS
   ui/MainConfigurationWidgetBase.ui
   ui/PrivacyTabBase.ui
   ui/SwitchingTabBase.ui
   )

qt_add_dbus_interface (
   KAMD_KCM_SRCS

   common/dbus/org.kde.ActivityManager.Features.xml
   features_interface
   )

qt_add_dbus_interface (
   KAMD_KCM_SRCS

   common/dbus/org.kde.ActivityManager.ResourceScoring.xml
   resourcescoring_interface
   )


kcmutils_generate_module_data(
    KAMD_KCM_SRCS
    MODULE_DATA_HEADER kactivitiesdata.h
    MODULE_DATA_CLASS_NAME KActivitiesData
    SETTINGS_HEADERS kactivitymanagerd_settings.h kactivitymanagerd_plugins_settings.h
    SETTINGS_CLASSES KActivityManagerdSettings KActivityManagerdPluginsSettings
)

kconfig_add_kcfg_files(KAMD_KCM_SRCS kactivitymanagerd_settings.kcfgc GENERATE_MOC)
kconfig_add_kcfg_files(KAMD_KCM_SRCS kactivitymanagerd_plugins_settings.kcfgc GENERATE_MOC)

add_library (kcm_activities MODULE ${KAMD_KCM_SRCS})

target_link_libraries (kcm_activities
   Qt::Quick
   Qt::QuickWidgets
   Qt::Core
   Qt::Sql
   Qt::Qml
   Qt::DBus
   KF5::KCMUtils
   KF5::I18n
   KF5::Service
   KF5::Declarative
   KF5::XmlGui
   KF5::GlobalAccel
   KF5::Activities
   )

install (
   TARGETS kcm_activities
   DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/kcms/systemsettings_qwidgets
   )

install (
   FILES kcm_activities.desktop
   DESTINATION ${KDE_INSTALL_APPDIR}
   )

install (
   DIRECTORY

   qml/activitiesTab
   qml/privacyTab

   DESTINATION ${KAMD_KCM_DATADIR}/qml
   )

install(FILES kactivitymanagerd_settings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(FILES kactivitymanagerd_plugins_settings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

=== kcms/componentchooser/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_componentchooser\")

set(componentchooser_SRCS
    kcm_componentchooser.cpp
    componentchooser.cpp
    componentchooserbrowser.cpp
    componentchooseremail.cpp
    componentchooserterminal.cpp
    componentchooserfilemanager.cpp
    componentchooserdata.cpp
    componentchoosergeo.cpp
    componentchoosertel.cpp
)

kconfig_add_kcfg_files(componentchooser_SRCS browser_settings.kcfgc GENERATE_MOC)
kconfig_add_kcfg_files(componentchooser_SRCS terminal_settings.kcfgc GENERATE_MOC)

kcoreaddons_add_plugin(kcm_componentchooser SOURCES ${componentchooser_SRCS} INSTALL_NAMESPACE "plasma/kcms/systemsettings")

target_link_libraries(kcm_componentchooser
    Qt::Core
    KF5::CoreAddons
    KF5::I18n
    KF5::QuickAddons
    KF5::Service
    KF5::KIOWidgets
    KF5::ConfigGui
    KF5::KCMUtils
)

install(FILES kcm_componentchooser.desktop DESTINATION ${KDE_INSTALL_APPDIR})
kpackage_install_package(package kcm_componentchooser kcms)

=== debian/changelog ===
plasma-desktop (4:5.24.4-0ubuntu1) jammy; urgency=medium

  * New upstream bugfix release (5.24.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Mar 2022 10:21:03 +0100

plasma-desktop (4:5.24.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Mar 2022 12:15:35 +0000

plasma-desktop (4:5.24.2-0ubuntu2) jammy; urgency=medium

  * Update maintainer to Kubuntu Developers.
  * Fix favourites patch for kickoff.

 -- Rik Mills <rikmills@kde.org>  Sat, 05 Mar 2022 17:00:17 +0000

plasma-desktop (4:5.24.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Feb 2022 15:02:40 +0000

plasma-desktop (4:5.24.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Feb 2022 14:22:04 +0000

plasma-desktop (4:5.24.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.0)
  * Reorder default favourites.

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Feb 2022 21:28:16 +0000

plasma-desktop (4:5.23.90-0ubuntu2) jammy; urgency=medium

  * Update favourites.

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Feb 2022 16:57:33 +0000

plasma-desktop (4:5.23.90-0ubuntu1) jammy; urgency=medium

  * New upstream beta release (5.23.90)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Jan 2022 10:19:41 +0000

plasma-desktop (4:5.23.5-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Jan 2022 10:41:29 +0000

plasma-desktop (4:5.23.4-0ubuntu2) jammy; urgency=medium

  * Update upstream signing key

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 31 Dec 2021 13:51:52 +0000

plasma-desktop (4:5.23.4-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 30 Nov 2021 21:57:35 +0000

plasma-desktop (4:5.23.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 10 Nov 2021 11:18:41 +0000

plasma-desktop (4:5.23.2.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.1)
  * New upstream release (5.23.2.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 05 Nov 2021 07:51:07 +0000

plasma-desktop (4:5.23.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.0)
  * Update install files.
  * Add xdg-user-dirs to runtime depends.
  * Update build deps from cmake.

 -- Rik Mills <rikmills@kde.org>  Mon, 18 Oct 2021 17:53:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: plasma-desktop
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>,
            Patrick Franz <patfra71@gmail.com>,
            Norbert Preining <norbert@preining.info>,
-Build-Depends: baloo-kf5-dev (>= 5.82.0~),
-               cmake (>= 3.0~),
+Build-Depends: baloo-kf5-dev (>= 5.90.0~),
+               cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.82.0~),
+               extra-cmake-modules (>= 5.90.0~),
                gettext,
                intltool,
-               kded5-dev (>= 5.82.0~),
-               kinit-dev (>= 5.82.0~),
-               kirigami2-dev (>= 5.82.0~),
-               kscreenlocker-dev (>= 5.22.5~),
+               kded5-dev (>= 5.90.0~),
+               kinit-dev (>= 5.90.0~),
+               kirigami2-dev (>= 5.90.0~),
+               kscreenlocker-dev (>= 5.24.4~),
                kuserfeedback-dev,
-               kwin-dev (>= 4:5.22.5~),
+               kwin-dev (>= 4:5.24.4~),
                libaccounts-qt5-dev (>= 1.13~),
                libboost-dev,
                libfontconfig-dev,
@@ -24,32 +25,35 @@
                libglib2.0-dev,
                libibus-1.0-dev,
                libkaccounts-dev (>= 4:20.04~),
-               libkf5activities-dev (>= 5.82.0~),
-               libkf5activitiesstats-dev (>= 5.82.0~),
-               libkf5attica-dev (>= 5.82.0~),
-               libkf5auth-dev (>= 5.82.0~),
-               libkf5config-dev (>= 5.82.0~),
-               libkf5coreaddons-dev (>= 5.82.0~),
-               libkf5dbusaddons-dev (>= 5.82.0~),
-               libkf5declarative-dev (>= 5.82.0~),
-               libkf5doctools-dev (>= 5.82.0~),
-               libkf5emoticons-dev (>= 5.82.0~),
-               libkf5globalaccel-dev (>= 5.82.0~),
-               libkf5guiaddons-dev (>= 5.82.0~),
-               libkf5i18n-dev (>= 5.82.0~),
-               libkf5itemmodels-dev (>= 5.82.0~),
-               libkf5kcmutils-dev (>= 5.82.0~),
-               libkf5kdelibs4support-dev (>= 5.82.0~),
-               libkf5kio-dev (>= 5.82.0~),
-               libkf5newstuff-dev (>= 5.82.0~),
-               libkf5notifications-dev (>= 5.82.0~),
-               libkf5notifyconfig-dev (>= 5.82.0~),
-               libkf5plasma-dev (>= 5.82.0~),
-               libkf5runner-dev (>= 5.82.0~),
-               libkf5wallet-dev (>= 5.82.0~),
-               libkf5widgetsaddons-dev (>= 5.82.0~),
-               libkf5windowsystem-dev (>= 5.82.0~),
-               libkf5xmlgui-dev (>= 5.82.0~),
+               libkf5activities-dev (>= 5.90.0~),
+               libkf5activitiesstats-dev (>= 5.90.0~),
+               libkf5attica-dev (>= 5.90.0~),
+               libkf5auth-dev (>= 5.90.0~),
+               libkf5codecs-dev (>= 5.90.0~),
+               libkf5config-dev (>= 5.90.0~),
+               libkf5coreaddons-dev (>= 5.90.0~),
+               libkf5crash-dev (>= 5.90.0~),
+               libkf5dbusaddons-dev (>= 5.90.0~),
+               libkf5declarative-dev (>= 5.90.0~),
+               libkf5doctools-dev (>= 5.90.0~),
+               libkf5emoticons-dev (>= 5.90.0~),
+               libkf5globalaccel-dev (>= 5.90.0~),
+               libkf5guiaddons-dev (>= 5.90.0~),
+               libkf5i18n-dev (>= 5.90.0~),
+               libkf5itemmodels-dev (>= 5.90.0~),
+               libkf5kcmutils-dev (>= 5.90.0~),
+               libkf5kdelibs4support-dev (>= 5.90.0~),
+               libkf5kio-dev (>= 5.90.0~),
+               libkf5newstuff-dev (>= 5.90.0~),
+               libkf5notifications-dev (>= 5.90.0~),
+               libkf5notifyconfig-dev (>= 5.90.0~),
+               libkf5plasma-dev (>= 5.90.0~),
+               libkf5runner-dev (>= 5.90.0~),
+               libkf5sonnet-dev (>= 5.90.0~),
+               libkf5wallet-dev (>= 5.90.0~),
+               libkf5widgetsaddons-dev (>= 5.90.0~),
+               libkf5windowsystem-dev (>= 5.90.0~),
+               libkf5xmlgui-dev (>= 5.90.0~),
                libpackagekitqt5-dev,
                libphonon4qt5-dev (>= 4.6.60),
                libphonon4qt5experimental-dev,
@@ -73,7 +77,7 @@
                libxkbfile-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.22.5~),
+               plasma-workspace-dev (>= 4:5.24.4~),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
                xserver-xorg-dev,
@@ -89,17 +93,17 @@
 Package: plasma-desktop
 Architecture: any
 Depends: accountsservice,
-         breeze (>= 4:5.22~),
-         kactivitymanagerd (>= 5.22~),
-         kde-cli-tools (>= 4:5.22~),
+         breeze (>= 4:5.23.90~),
+         kactivitymanagerd (>= 5.23.90~),
+         kde-cli-tools (>= 4:5.23.90~),
          kded5,
          kio,
-         oxygen-sounds (>= 4:5.22~),
+         oxygen-sounds (>= 4:5.23.90~),
          plasma-desktop-data (= ${source:Version}),
          plasma-framework,
-         plasma-integration (>= 5.22~),
-         plasma-workspace (>= 4:5.22~),
-         polkit-kde-agent-1 (>= 4:5.22~),
+         plasma-integration (>= 5.23.90~),
+         plasma-workspace (>= 4:5.23.90~),
+         polkit-kde-agent-1 (>= 4:5.23.90~),
          qml-module-org-kde-draganddrop,
          qml-module-org-kde-kcoreaddons,
          qml-module-org-kde-kirigami2 (>= 5.54.0~),
@@ -110,39 +114,40 @@
          qml-module-org-kde-solid,
          qml-module-qt-labs-folderlistmodel,
          qml-module-qt-labs-settings,
+         xdg-user-dirs,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: bluedevil (>= 4:5.22~),
-            breeze-gtk-theme (>= 5.22~),
+Recommends: bluedevil (>= 4:5.23.90~),
+            breeze-gtk-theme (>= 5.23.90~),
             fonts-hack,
             fonts-noto-cjk,
             fonts-noto-hinted,
             fonts-noto-mono,
             fonts-noto-unhinted,
             ibus-data,
-            kde-config-gtk-style (>= 4:5.22~),
-            kde-config-screenlocker (>= 5.22~),
-            kde-config-sddm (>= 4:5.22~),
-            kde-style-oxygen-qt5 (>= 4:5.22~),
-            kgamma5 (>= 5.22~),
+            kde-config-gtk-style (>= 4:5.23.90~),
+            kde-config-screenlocker (>= 5.23.90~),
+            kde-config-sddm (>= 4:5.23.90~),
+            kde-style-oxygen-qt5 (>= 4:5.23.90~),
+            kgamma5 (>= 5.23.90~),
             khelpcenter,
-            khotkeys (>= 4:5.22~),
-            kinfocenter (>= 4:5.22~),
+            khotkeys (>= 4:5.23.90~),
+            kinfocenter (>= 4:5.23.90~),
             kio-extras,
-            kmenuedit (>= 4:5.22~),
-            kscreen (>= 4:5.22~),
-            ksshaskpass (>= 4:5.22~),
-            kwin-x11 (>= 4:5.22~) | kwin,
-            kwrited (>= 4:5.22~),
-            libpam-kwallet5 (>= 5.22~),
+            kmenuedit (>= 4:5.23.90~),
+            kscreen (>= 4:5.23.90~),
+            ksshaskpass (>= 4:5.23.90~),
+            kwin-x11 (>= 4:5.23.90~) | kwin,
+            kwrited (>= 4:5.23.90~),
+            libpam-kwallet5 (>= 5.23.90~),
             plasma-browser-integration,
-            plasma-discover (>= 5.22~),
-            plasma-disks (>= 5.22~),
-            plasma-pa (>= 4:5.22~),
-            plasma-systemmonitor (>= 5.21.90~),
+            plasma-discover (>= 5.23.90~),
+            plasma-disks (>= 5.23.90~),
+            plasma-pa (>= 4:5.23.90~),
+            plasma-systemmonitor (>= 5.23.90~),
             plasma-thunderbolt,
-            powerdevil (>= 4:5.22~),
-            systemsettings (>= 4:5.22~),
+            powerdevil (>= 4:5.23.90~),
+            systemsettings (>= 4:5.23.90~),
 Breaks: baloo-kf5 (<< 5.5),
         kactivities,
         kde-config-touchpad (<< 4:5),
@@ -174,8 +179,8 @@
 Package: plasma-desktop-data
 Architecture: all
 Depends: python3:any, ${misc:Depends}
-Recommends: plasma-framework (>> 5.22),
-            plasma-workspace (>= 4:5.22~),
+Recommends: plasma-framework (>> 5.23.90),
+            plasma-workspace (>= 4:5.23.90~),
             qml-module-org-kde-activities,
             qml-module-org-kde-kwindowsystem,
             qml-module-org-kde-newstuff,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

l10npkgs_firstversion_ok := 4:17.08.3-3~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf mips mipsel))
    export DEB_CFLAGS_MAINT_STRIP = -g
    export DEB_CXXFLAGS_MAINT_STRIP = -g
    export DEB_CFLAGS_MAINT_APPEND = -gstabs
    export DEB_CXXFLAGS_MAINT_APPEND = -gstabs
endif

%:
	dh $@ --with kf5,pkgkde_symbolshelper,sodeps --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test, fourth test never ends
	# xvfb-run -a dh_auto_test
	:

override_dh_gencontrol-indep: l10npkgs_firstversion_ok
	dh_gencontrol -i
